Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeprocessinginstructionnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeprocessinginstructionnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a

Processing Instruction Node is the target.

Retrieve the Processing Instruction Node in the XML file

and check the string returned by the "getNodeName()"

method. It should be equal to "XML-STYLE".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 51 of file nodeprocessinginstructionnodename.java.

## Constructor & Destructor Documentation

nodeprocessinginstructionnodename::nodeprocessinginstructionnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodeprocessinginstructionnodename.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodeprocessinginstructionnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file nodeprocessinginstructionnodename.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeprocessinginstructionnodename";
    00073    }

void nodeprocessinginstructionnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file nodeprocessinginstructionnodename.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(nodeprocessinginstructionnodename.class,args);
    00076    }

void nodeprocessinginstructionnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodeprocessinginstructionnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       NodeList testList;
    00062       Node piNode;
    00063       String piName;
    00064       doc = load("staff");
    00065       testList = doc.getChildNodes();
    00066       piNode = testList.item(0);
    00067       piName = piNode.getNodeName();
    00068       assertEquals("nodeProcessingInstructionNodeNameAssert1","TEST-STYLE",piName);
    00069
    00070    }

The documentation for this class was generated from the following file:

- nodeprocessinginstructionnodename.java